import { Component, OnInit } from '@angular/core';
import { AfterContentInit } from '@angular/core/src/metadata/lifecycle_hooks';
import { Target } from '../../../target/model';


@Component({
  selector: 'of-sensor-setting',
  templateUrl: './setting.component.html',
  styleUrls: ['./setting.component.scss']
})
export class SettingComponent implements OnInit, AfterContentInit {

  selectedTarget: Target = null;
  step = 1;

  constructor() { }


  ngOnInit() {
  }

  ngAfterContentInit() {

  }

  onNext() {
    this.step += 1;
  }

  onPrev() {
    this.step -= 1;
  }

  onDone() {
    console.log('finished');
  }

  handleTargetSelection(t: Target) {
    this.selectedTarget = t;
  }
}
